<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/theme_background"
    android:padding="8dp">

    <!-- 标题 -->
    <TextView
        android:id="@+id/collection_title"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="12dp"
        android:letterSpacing="0.03"
        android:text="Collection"
        android:textStyle="bold"
        android:textColor="@color/black"
        android:textSize="20sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <!-- 收藏数量显示 -->
    <LinearLayout
        android:id="@+id/text_favorite_count_container"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:gravity="center"
        android:layout_marginTop="12dp"
        android:orientation="horizontal"
        android:padding="8dp"
        android:visibility="gone"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/collection_title">

        <View
            android:layout_width="0dp"
            android:layout_height="1.2dp"
            android:layout_marginStart="30dp"
            android:layout_marginEnd="16dp"
            android:layout_weight="1"
            android:background="@color/underline_color" />

        <TextView
            android:id="@+id/text_favorite_count"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textColor="@color/underline_color"
            android:textSize="14sp" />

        <View
            android:layout_width="0dp"
            android:layout_height="1.2dp"
            android:layout_marginStart="16dp"
            android:layout_marginEnd="30dp"
            android:layout_weight="1"
            android:background="@color/underline_color" />

    </LinearLayout>

    <!-- 内容区域 -->
    <FrameLayout
        android:id="@+id/content_container"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginTop="10dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/text_favorite_count_container">

        <!-- 收藏列表 -->
        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/like_recycler"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:clipToPadding="false"
            android:padding="4dp"
            android:visibility="gone" />

        <!-- 空状态 -->
        <include
            android:id="@+id/empty_container"
            layout="@layout/empty_collection"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:visibility="gone" />

    </FrameLayout>

</androidx.constraintlayout.widget.ConstraintLayout>